<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 11/26/2003 *
 * ===================                          Last change: 02/27/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : chk_login.php                                    *
 * -------------------------------------------------------------------- *
 * Short description : Check if user has logged in (delay)              *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Pruefen ob die Login-Cookies gesetzt sind        *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Initial message part
$GLOBALS['message'] = '<strong>{--VALIDATING_LOGIN--}</strong>';

// Is the member id and u_hash set?
if (isMember()) {
	// Run filter chain here
	runFilterChain('member_login_check');

	// Redirect to member area
	$GLOBALS['message'] .= loadTemplate('member_login_js', true);
} else {
	// Login failed!
	$GLOBALS['message'] .= loadTemplate('login_failed_js', true);
}

// Output final message
loadTemplate('admin_settings_saved', false, $GLOBALS['message']);

// [EOF]
?>
